Subject: bug#33043: closed (Re: bug#33043: [PATCH v1 1/1] Support for the truncation of displayed URLs)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Nov 2018 09:12:04 +0000

Your bug report

#33043: 27.0.50; wishlist: rcirc should allow truncation of visible URLs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33043: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33043
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33043: [PATCH v1 1/1] Support for the truncation of displayed URLs
From: Eli Zaretskii <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 03 Nov 2018 11:11:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 29 Oct 2018 18:27:54 +0000
> 
> David Edmondson <[email-masked]> writes:
> 
> > On Sunday, 2018-10-28 at 03:14:39 +00, Basil L. Contovounesios wrote:
> >
> >> I attach two patches.  The first comprises David's original patch, but
> >> with an added :version tag and reworded commit message.  The second
> >> switches to reusing url-truncate-url-for-viewing.  WDYT?
> >
> > It would be simpler just to smash them together. I don't care about the
> > credit or anything.
> 
> I don't either.  How's the attached patch, which additionally announces
> the new user option in etc/NEWS?

Thanks, pushed to the master branch.

Subject: 27.0.50; wishlist: rcirc should allow truncation of visible URLs
From: David Edmondson <[email-masked]>
To: [email-masked]
Date: Mon, 15 Oct 2018 11:04:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With the use of IRC as a gateway to other protocols (Mastodon, Twitter,
...) it is very common to see long URLs in rcirc buffers. It would be
nice if the visible part of these could be truncated to improve their
display.

Proposed patch in followup...

dme.
-- 
The band is just fantastic, that is really what I think.